GetProposalById
POST
Queries proposal based on ID and returns proposal details.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
idintegerrequired
Unique ID for the chain proposal. For example:1.visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
proposal_idint64
Unique ID for the chain proposal.proposer_addressstring
Address of the proposal's creator.parametersmap\<int64, int64>
Proposed values for chain parameters, keyed by parameter ID.expiration_timeinteger
Expiration time of the proposal. (Unit: millisecond)create_timeint64
Account creation timestamp, in milliseconds.approvalsarray
List of approver addresses.statestring
State of the proposal. (Enum: PENDING, DISAPPROVED, APPROVED, CANCELED)statecodestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/getproposalbyid' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{}'